/****************************************************************************
  Nome
  7850_PLATRGS_GRAVA_IDENTIFICA_CARD.SQL

  Descrio
  Insere os parmetros da funo Webtunning na tabela CARDADIA

  Criao
  Bruno Morais Ferreira

@C:\Web_411\Sql\End_Conv\SQLServer\7840_PLATRGO_GRAVA_IDENTIFICA_CARD.sql
****************************************************************************/
IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'GRAVA_IDENTIFICA_CARD' AND
                TYPE   = 'TR'              AND
                U.UID  = O.UID             AND
                U.NAME = USER)

DROP TRIGGER GRAVA_IDENTIFICA_CARD
GO

CREATE TRIGGER GRAVA_IDENTIFICA_CARD
ON CARDADIA FOR INSERT
AS
BEGIN
   DECLARE @V_DSREMOTEADDR VARCHAR(15);
   DECLARE @V_DSREMOTEHOST VARCHAR(15);
   DECLARE @V_DSSERVERRDM  VARCHAR(20);
   DECLARE @V_DSSERVMETHOD VARCHAR(30);
   DECLARE @V_DSREMOTEOPER VARCHAR(12);

   SET @V_DSREMOTEADDR = ' ';
   SET @V_DSREMOTEHOST = ' ';
   SET @V_DSSERVERRDM  = ' ';
   SET @V_DSSERVMETHOD = ' ';
   SET @V_DSREMOTEOPER = ' ';

   SELECT
      @V_DSREMOTEADDR = ISNULL(MAX(DSREMOTEADDR), 'VIA BD'),
      @V_DSREMOTEHOST = ISNULL(MAX(DSREMOTEHOST), 'VIA BD'),
      @V_DSSERVERRDM  = ISNULL(MAX(DSSERVERRDM ), 'VIA BD'),
      @V_DSSERVMETHOD = ISNULL(MAX(DSSERVMETHOD), 'VIA BD'),
      @V_DSREMOTEOPER = ISNULL(MAX(DSREMOTEOPER), 'VIA BD')
   FROM
      SQLWEBTUNNING
   WHERE
      (NRAUDSID = @@SPID) AND
      (CONVERT(VARCHAR, CONVERT(DATETIME, DTSTARTDATE, 103), 103)) = (SELECT MAX(CONVERT(VARCHAR, CONVERT(DATETIME, DTSTARTDATE, 103), 103))
                                                                      FROM SQLWEBTUNNING S
                                                                      WHERE S.NRAUDSID = @@SPID);

   UPDATE CARDADIA
   SET DSRDMUSUCARD = @V_DSSERVERRDM,
       DSENDUSUCARD = @V_DSREMOTEADDR,
       DSNMUSUCARD  = @V_DSREMOTEHOST,
       DSMETUSUCARD = @V_DSSERVMETHOD,
       CDORESPCARD  = @V_DSREMOTEOPER
   FROM INSERTED
   WHERE CARDADIA.CDFILIAL   = INSERTED.CDFILIAL AND
         CARDADIA.NRCARDAPIO = INSERTED.NRCARDAPIO;

END;

GO

-- VERSAO --
EXEC ATUVEROBJ 'GRAVA_IDENTIFICA_CARD','4.11.187';
GO
